package com.jeeplus.test.cw.invoice.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 财务管理-发票-发票作废
 * @TableName cw_finance_invoice_invalid
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("cw_finance_invoice_invalid")
public class CwFinanceInvoiceInvalid extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 是否作废
     */
    private String invalidStatus;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    private static final long serialVersionUID = 1L;
}