package com.jeeplus.test.cw.invoice.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.invoice.domain.CwFinanceInvoice;
import com.jeeplus.test.cw.invoice.service.dto.CwFinanceInvoiceDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CwFinanceInvoiceMapper extends BaseMapper<CwFinanceInvoice> {

    public IPage<CwFinanceInvoiceDTO> findList(Page<CwFinanceInvoiceDTO> page, @Param(Constants.WRAPPER) QueryWrapper<CwFinanceInvoice> queryWrapper);

    public CwFinanceInvoiceDTO queryById(@Param("id") String id);
}




