package com.jeeplus.test.cw.projectBusinessType.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.cw.projectBusinessType.domain.CwProjectBusinessType;
import com.jeeplus.test.cw.projectBusinessType.service.dto.CwProjectBusinessTypeDTO;
import com.jeeplus.test.cw.workClientInfo.domain.CwManageLevelType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.workClientInfo.service.dto.CwManageLevelTypeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CwProjectBusinessTypeMapper extends BaseMapper<CwProjectBusinessType> {

    public IPage<CwProjectBusinessTypeDTO> findList(Page<CwProjectBusinessTypeDTO> page, @Param(Constants.WRAPPER) QueryWrapper<CwProjectBusinessType> queryWrapper);

    public CwProjectBusinessTypeDTO queryById(@Param("id") String id);

    public List<CwProjectBusinessTypeDTO> getList();

}




