package com.jeeplus.test.cw.reimbursementApproval.approvalInfo.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class RetureListDto {

    /**
     * 基础表主键值
     */
    private String id;

    /**
     * 报销编号
     */
    @Excel(name = "报销编号", width = 30, orderNum = "1")
    private String no;

    /**
     * 报销类别id
     */
    private String typeId;

    /**
     * 报销类别
     */
    @Excel(name = "报销类别", width = 30, orderNum = "2")
    private String typeName;

    /**
     * 报销项目id
     */
    private String projectId;

    /**
     * 报销项目
     */
    @Excel(name = "报销项目", width = 30, orderNum = "3")
    private String projectName;

    /**
     * 报告号
     */
    @Excel(name = "报告号", width = 30, orderNum = "4")
    private String reportNumber;

    /**
     * 经办人
     */
    @Excel(name = "经办人", width = 30, orderNum = "5")
    private String userName;

    /**
     * 报销人
     */
    @Excel(name = "报销人", width = 30, orderNum = "6")
    private String name;

    /**
     * 报销部门
     */
    @Excel(name = "报销部门", width = 30, orderNum = "7")
    private String deptName;

    /**
     * 报销日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报销日期", width = 30, orderNum = "8")
    private Date reimDate;

    /**
     * 报销金额
     */
    @Excel(name = "报销金额", width = 30, orderNum = "9")
    private BigDecimal number;

    /**
     * 报销状态
     */
    @Excel(name = "报销状态", width = 30, orderNum = "10")
    private String type;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     *
     */
    private String processDefinitionId;

    private String taskId;
}
