package com.jeeplus.test.cw.invoice.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 财务管理-发票基本信息
 * @TableName cw_finance_invoice_base
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("cw_finance_invoice_base")
public class CwFinanceInvoiceBase extends BaseEntity {

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 项目名称
     */
    private String programName;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 项目编号
     */
    private String programNo;

    /**
     * 合同id
     */
    private String contractId;


    private static final long serialVersionUID = 1L;
}