package com.jeeplus.test.cw.invoice.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 财务管理-发票基本信息
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CwFinanceInvoiceBaseDTO extends BaseDTO {

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 项目名称
     */
    private String programName;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 项目编号
     */
    private String programNo;

    /**
     * 合同id
     */
    private String contractId;

    private static final long serialVersionUID = 1L;
}