package com.jeeplus.test.cw.projectBusinessType.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-项目管理-业务类型管理
 * @TableName cw_project_business_type
 */
@Data
@TableName("cw_project_business_type")
public class CwProjectBusinessType extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 父ids
     */
    private String parentIds;

    private static final long serialVersionUID = 1L;
}